## r-cran-vdiffr 0.3.1%2Bdfsg

=== debian/changelog ===
r-cran-vdiffr (0.3.1+dfsg-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:38 +0100

r-cran-vdiffr (0.3.1+dfsg-3) unstable; urgency=medium

  * Add missing Test-Depends: r-cran-ggplot2
  * Standards-Version: 4.5.0

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2020 10:54:49 +0100

r-cran-vdiffr (0.3.1+dfsg-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2020 21:36:26 +0100

r-cran-vdiffr (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #948825)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2020 21:08:11 +0100

## r-cran-vdiffr 0.3.1+dfsg

=== DESCRIPTION ===
Package: vdiffr
Title: Visual Regression Testing and Graphical Diffing
Version: 0.3.1
Authors@R: c(
    person("Lionel", "Henry", , "lionel@rstudio.com", c("cre", "aut")),
    person("RStudio", role = "cph"),
    person("Carl", "Sutherland", role = "aut", comment = "jg-imagediff library"),
    person("Humble Software", role = "cph", comment = "jg-imagediff library"),
    person("David", "Hong", role = "aut", comment = "TwoFace library"),
    person(family = "jQuery Foundation", role = "cph", comment = "jQuery library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
           comment = "jQuery library; authors listed in inst/htmlwidgets/lib/jquery-authors.txt"),
    person("T Jake", "Luciani", , "jake@apache.org", "aut", comment = "svglite"),
    person("Matthieu", "Decorde", , "matthieu.decorde@ens-lyon.fr", "aut", comment = "svglite"),
    person("Vaudor", "Lise", , "lise.vaudor@ens-lyon.fr", "aut", comment = "svglite"),
    person("Tony", "Plate", role = "ctb", comment = "svglite: Early line dashing code"),
    person("David", "Gohel", role = "ctb", comment = "svglite: Line dashing code and raster code"),
    person("Yixuan", "Qiu", role = "ctb", comment = "svglite: Improved styles; polypath implementation"),
    person("Håkon", "Malmedal", role = "ctb", comment = "svglite: Opacity code")
    )
Encoding: UTF-8
Description: An extension to the 'testthat' package that makes it easy
    to add graphical unit tests. It provides a Shiny application to
    manage the test cases.
License: GPL-3 | file LICENSE
LazyData: true
ByteCompile: true
Depends: R (>= 3.2.0)
Imports: devtools, diffobj, fontquiver (>= 0.2.0), freetypeharfbuzz (>=
        0.2.5), gdtools, glue, grDevices, htmlwidgets (>= 0.6),
        htmltools, purrr (>= 0.2.0), rlang, R6, Rcpp, shiny, testthat
        (>= 1.0.0), usethis (>= 1.4.0), xml2 (>= 1.0.0)
Suggests: crayon, ggplot2 (>= 3.2.0), roxygen2, rstudioapi, withr, yaml
LinkingTo: freetypeharfbuzz, gdtools, Rcpp, BH
RoxygenNote: 6.1.1
URL: https://github.com/r-lib/vdiffr
BugReports: https://github.com/r-lib/vdiffr/issues
NeedsCompilation: yes
Packaged: 2019-06-24 16:16:26 UTC; lionel
Author: Lionel Henry [cre, aut],
  RStudio [cph],
  Carl Sutherland [aut] (jg-imagediff library),
  Humble Software [cph] (jg-imagediff library),
  David Hong [aut] (TwoFace library),
  jQuery Foundation [cph] (jQuery library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/htmlwidgets/lib/jquery-authors.txt),
  T Jake Luciani [aut] (svglite),
  Matthieu Decorde [aut] (svglite),
  Vaudor Lise [aut] (svglite),
  Tony Plate [ctb] (svglite: Early line dashing code),
  David Gohel [ctb] (svglite: Line dashing code and raster code),
  Yixuan Qiu [ctb] (svglite: Improved styles; polypath implementation),
  Håkon Malmedal [ctb] (svglite: Opacity code)
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2019-06-24 16:30:03 UTC

=== tests/testthat/mock-pkg-error/DESCRIPTION ===
Package: mockpkgerror
Title: title
License: GPL-2
Description: Package description.
Author: author <author@email.com>
Maintainer: maintainer <maintainer@email.com>
Version: 0.1
Suggests:
    testthat,
    vdiffr

=== debian/control ===
Source: r-cran-vdiffr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-devtools,
               r-cran-diffobj,
               r-cran-fontquiver,
               r-cran-freetypeharfbuzz,
               r-cran-gdtools,
               r-cran-glue,
               r-cran-htmlwidgets,
               r-cran-htmltools,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-r6,
               r-cran-rcpp,
               r-cran-shiny,
               r-cran-testthat (>= 1.0.0),
               r-cran-usethis,
               r-cran-xml2,
               r-cran-bh
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr.git
Homepage: https://cran.r-project.org/package=vdiffr

Package: r-cran-vdiffr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R visual regression testing and graphical diffing
 An extension to the 'testthat' package that makes it easy
 to add graphical unit tests. It provides a Shiny application to
 manage the test cases.

## r-cran-vdiffr 0.3.2.2+dfsg

=== debian/changelog ===
r-cran-vdiffr (0.3.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jul 2020 10:03:37 +0200

## r-cran-vdiffr 0.3.3%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: vdiffr
 Title: Visual Regression Testing and Graphical Diffing
-Version: 0.3.1
+Version: 0.3.3
 Authors@R: c(
     person("Lionel", "Henry", , "lionel@rstudio.com", c("cre", "aut")),
     person("RStudio", role = "cph"),
@@ -32,11 +32,11 @@
         (>= 1.0.0), usethis (>= 1.4.0), xml2 (>= 1.0.0)
 Suggests: crayon, ggplot2 (>= 3.2.0), roxygen2, rstudioapi, withr, yaml
 LinkingTo: freetypeharfbuzz, gdtools, Rcpp, BH
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 URL: https://github.com/r-lib/vdiffr
 BugReports: https://github.com/r-lib/vdiffr/issues
 NeedsCompilation: yes
-Packaged: 2019-06-24 16:16:26 UTC; lionel
+Packaged: 2020-10-06 16:02:33 UTC; lionel
 Author: Lionel Henry [cre, aut],
   RStudio [cph],
   Carl Sutherland [aut] (jg-imagediff library),
@@ -54,4 +54,4 @@
   Håkon Malmedal [ctb] (svglite: Opacity code)
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2019-06-24 16:30:03 UTC
+Date/Publication: 2020-10-06 22:00:02 UTC

## r-cran-vdiffr 0.3.3+dfsg

=== tests/testthat/mock-pkg/DESCRIPTION ===
Package: mockpkg
Title: title
License: GPL-2
Description: Package description.
Author: author <author@email.com>
Maintainer: maintainer <maintainer@email.com>
Version: 0.1
Suggests:
    testthat,
    vdiffr

=== debian/changelog ===
r-cran-vdiffr (0.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 11:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-devtools,
@@ -28,6 +28,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr.git
 Homepage: https://cran.r-project.org/package=vdiffr
+Rules-Requires-Root: no
 
 Package: r-cran-vdiffr
 Architecture: any

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/vdiffr_([-\d.]*)\.tar\.gz

## r-cran-vdiffr 1.0.2

=== DESCRIPTION ===
Package: vdiffr
Title: Visual Regression Testing and Graphical Diffing
Version: 1.0.2
Authors@R: c(
    person("Lionel", "Henry", , "lionel@rstudio.com", c("cre", "aut")),
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@rstudio.com", 
           role = "aut", comment = c(ORCID = "0000-0002-5147-4711")),
    person("RStudio", role = "cph"),
    person("T Jake", "Luciani", , "jake@apache.org", "aut", comment = "svglite"),
    person("Matthieu", "Decorde", , "matthieu.decorde@ens-lyon.fr", "aut", comment = "svglite"),
    person("Vaudor", "Lise", , "lise.vaudor@ens-lyon.fr", "aut", comment = "svglite"),
    person("Tony", "Plate", role = "ctb", comment = "svglite: Early line dashing code"),
    person("David", "Gohel", role = "ctb", comment = "svglite: Line dashing code and raster code"),
    person("Yixuan", "Qiu", role = "ctb", comment = "svglite: Improved styles; polypath implementation"),
    person("Håkon", "Malmedal", role = "ctb", comment = "svglite: Opacity code")
    )
Encoding: UTF-8
Description: An extension to the 'testthat' package that makes it easy
    to add graphical unit tests. It provides a Shiny application to
    manage the test cases.
License: MIT + file LICENSE
ByteCompile: true
Depends: R (>= 3.2.0)
Imports: diffobj, glue, grDevices, htmltools, lifecycle, rlang,
        testthat (>= 3.0.3), xml2 (>= 1.0.0)
Suggests: covr, ggplot2 (>= 3.2.0), roxygen2, withr
LinkingTo: cpp11
RoxygenNote: 7.1.1.9001
URL: https://vdiffr.r-lib.org/, https://github.com/r-lib/vdiffr
BugReports: https://github.com/r-lib/vdiffr/issues
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2021-06-18 06:50:02 UTC; lionel
Author: Lionel Henry [cre, aut],
  Thomas Lin Pedersen [aut] (<https://orcid.org/0000-0002-5147-4711>),
  RStudio [cph],
  T Jake Luciani [aut] (svglite),
  Matthieu Decorde [aut] (svglite),
  Vaudor Lise [aut] (svglite),
  Tony Plate [ctb] (svglite: Early line dashing code),
  David Gohel [ctb] (svglite: Line dashing code and raster code),
  Yixuan Qiu [ctb] (svglite: Improved styles; polypath implementation),
  Håkon Malmedal [ctb] (svglite: Opacity code)
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2021-06-18 12:10:02 UTC

=== debian/changelog ===
r-cran-vdiffr (1.0.2-1) unstable; urgency=medium

  * New upstream version (does not ship JS an more)
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 14:17:14 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                r-cran-usethis,
                r-cran-xml2,
                r-cran-bh
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr.git
 Homepage: https://cran.r-project.org/package=vdiffr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-ggplot2
Restrictions: allow-stderr

## r-cran-vdiffr 1.0.4

=== debian/changelog ===
r-cran-vdiffr (1.0.4-2build1) kinetic; urgency=medium

  * No-change rebuild against R_GE_version 15

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 15 May 2022 12:31:56 +0000

r-cran-vdiffr (1.0.4-2) unstable; urgency=medium

  * Team upload.
  * Re-build with R 4.2.0-1
  * d/t/control: Update versioned dep on r-cran-ggplot2

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 May 2022 13:40:07 +0530

r-cran-vdiffr (1.0.4-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 1.0.4
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/t/control: Update versioned dep on ggplot2 recompiled
    with new R

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Mar 2022 11:59:09 +0530

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                r-cran-usethis,
                r-cran-xml2,
                r-cran-bh
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr.git
 Homepage: https://cran.r-project.org/package=vdiffr

## r-cran-vdiffr 1.0.5

=== debian/changelog ===
r-cran-vdiffr (1.0.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 10:15:16 +0100

=== debian/control ===
Source: r-cran-vdiffr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-diffobj,
               r-cran-glue,
               r-cran-htmltools,
               r-cran-lifecycle,
               r-cran-rlang,
               r-cran-testthat (>= 3.0.3),
               r-cran-xml2,
               r-cran-cpp11
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr.git
Homepage: https://cran.r-project.org/package=vdiffr
Rules-Requires-Root: no

Package: r-cran-vdiffr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R visual regression testing and graphical diffing
 An extension to the 'testthat' package that makes it easy
 to add graphical unit tests. It provides a Shiny application to
 manage the test cases.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-ggplot2 (>= 3.3.5+dfsg-5~)
Restrictions: allow-stderr

## r-cran-vdiffr 1.0.6

=== debian/changelog ===
r-cran-vdiffr (1.0.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 14:03:02 +0200

r-cran-vdiffr (1.0.5-3) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 09:07:08 +0200

r-cran-vdiffr (1.0.5-2) unstable; urgency=medium

  * Rebuild against r-base 4.3.1 to deal with graphics API change

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 11:50:38 +0200

## r-cran-vdiffr 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: vdiffr
 Title: Visual Regression Testing and Graphical Diffing
-Version: 1.0.2
+Version: 1.0.7
 Authors@R: c(
-    person("Lionel", "Henry", , "lionel@rstudio.com", c("cre", "aut")),
-    person("Thomas Lin", "Pedersen", , "thomas.pedersen@rstudio.com", 
+    person("Lionel", "Henry", , "lionel@posit.co", c("cre", "aut")),
+    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", 
            role = "aut", comment = c(ORCID = "0000-0002-5147-4711")),
-    person("RStudio", role = "cph"),
+    person("Posit Software, PBC", role = c("cph", "fnd")),
     person("T Jake", "Luciani", , "jake@apache.org", "aut", comment = "svglite"),
     person("Matthieu", "Decorde", , "matthieu.decorde@ens-lyon.fr", "aut", comment = "svglite"),
     person("Vaudor", "Lise", , "lise.vaudor@ens-lyon.fr", "aut", comment = "svglite"),
@@ -25,15 +25,16 @@
         testthat (>= 3.0.3), xml2 (>= 1.0.0)
 Suggests: covr, ggplot2 (>= 3.2.0), roxygen2, withr
 LinkingTo: cpp11
-RoxygenNote: 7.1.1.9001
+RoxygenNote: 7.1.2
 URL: https://vdiffr.r-lib.org/, https://github.com/r-lib/vdiffr
 BugReports: https://github.com/r-lib/vdiffr/issues
-SystemRequirements: C++11
+SystemRequirements: C++11, libpng
+Config/Needs/website: tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2021-06-18 06:50:02 UTC; lionel
+Packaged: 2023-09-21 14:48:37 UTC; lionel
 Author: Lionel Henry [cre, aut],
   Thomas Lin Pedersen [aut] (<https://orcid.org/0000-0002-5147-4711>),
-  RStudio [cph],
+  Posit Software, PBC [cph, fnd],
   T Jake Luciani [aut] (svglite),
   Matthieu Decorde [aut] (svglite),
   Vaudor Lise [aut] (svglite),
@@ -41,6 +42,6 @@
   David Gohel [ctb] (svglite: Line dashing code and raster code),
   Yixuan Qiu [ctb] (svglite: Improved styles; polypath implementation),
   Håkon Malmedal [ctb] (svglite: Opacity code)
-Maintainer: Lionel Henry <lionel@rstudio.com>
+Maintainer: Lionel Henry <lionel@posit.co>
 Repository: CRAN
-Date/Publication: 2021-06-18 12:10:02 UTC
+Date/Publication: 2023-09-22 07:20:02 UTC

=== debian/changelog ===
r-cran-vdiffr (1.0.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:27:48 +1100

r-cran-vdiffr (1.0.7-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:08:52 +0000

r-cran-vdiffr (1.0.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 17:32:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-vdiffr
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-ggplot2 (>= 3.2.0),
        r-cran-roxygen2,
        r-cran-withr
Restrictions: allow-stderr

## r-cran-vdiffr 1.0.8

=== DESCRIPTION ===
Package: vdiffr
Title: Visual Regression Testing and Graphical Diffing
Version: 1.0.8
Authors@R: c(
    person("Lionel", "Henry", , "lionel@posit.co", role = c("cre", "aut")),
    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = "aut",
           comment = c(ORCID = "0000-0002-5147-4711")),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person("T Jake", "Luciani", , "jake@apache.org", role = "aut",
           comment = "svglite"),
    person("Matthieu", "Decorde", , "matthieu.decorde@ens-lyon.fr", role = "aut",
           comment = "svglite"),
    person("Vaudor", "Lise", , "lise.vaudor@ens-lyon.fr", role = "aut",
           comment = "svglite"),
    person("Tony", "Plate", role = "ctb",
           comment = "svglite: Early line dashing code"),
    person("David", "Gohel", role = "ctb",
           comment = "svglite: Line dashing code and raster code"),
    person("Yixuan", "Qiu", role = "ctb",
           comment = "svglite: Improved styles; polypath implementation"),
    person("Håkon", "Malmedal", role = "ctb",
           comment = "svglite: Opacity code")
  )
Description: An extension to the 'testthat' package that makes it easy to
    add graphical unit tests. It provides a Shiny application to manage
    the test cases.
License: MIT + file LICENSE
URL: https://vdiffr.r-lib.org/, https://github.com/r-lib/vdiffr
BugReports: https://github.com/r-lib/vdiffr/issues
Depends: R (>= 4.0)
Imports: diffobj, glue, grDevices, htmltools, lifecycle, rlang,
        testthat (>= 3.0.3), xml2 (>= 1.0.0)
Suggests: covr, decor, ggplot2 (>= 3.2.0), roxygen2, withr
LinkingTo: cpp11
ByteCompile: true
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.3.2
SystemRequirements: libpng
NeedsCompilation: yes
Packaged: 2024-10-28 14:55:03 UTC; lionel
Author: Lionel Henry [cre, aut],
  Thomas Lin Pedersen [aut] (<https://orcid.org/0000-0002-5147-4711>),
  Posit Software, PBC [cph, fnd],
  T Jake Luciani [aut] (svglite),
  Matthieu Decorde [aut] (svglite),
  Vaudor Lise [aut] (svglite),
  Tony Plate [ctb] (svglite: Early line dashing code),
  David Gohel [ctb] (svglite: Line dashing code and raster code),
  Yixuan Qiu [ctb] (svglite: Improved styles; polypath implementation),
  Håkon Malmedal [ctb] (svglite: Opacity code)
Maintainer: Lionel Henry <lionel@posit.co>
Repository: CRAN
Date/Publication: 2024-10-31 09:10:02 UTC

=== tests/testthat/mock-pkg/DESCRIPTION ===
--- 
+++ 
@@ -8,3 +8,4 @@
 Suggests:
     testthat,
     vdiffr
+Config/testthat/edition: 3

=== debian/changelog ===
r-cran-vdiffr (1.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 10:15:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-vdiffr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -16,7 +15,7 @@
                r-cran-testthat (>= 3.0.3),
                r-cran-xml2,
                r-cran-cpp11
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr.git
 Homepage: https://cran.r-project.org/package=vdiffr

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_link:
	dh_link /usr/share/javascript/jquery/jquery.min.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/jquery.min.js

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-decor,
        r-cran-ggplot2 (>= 3.2.0),
        r-cran-roxygen2,
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
  https://cloud.r-project.org/src/contrib/vdiffr_([-\d.]*)\.tar\.gz

## r-cran-vdiffr 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: vdiffr
 Title: Visual Regression Testing and Graphical Diffing
-Version: 1.0.8
+Version: 1.0.9
 Authors@R: c(
-    person("Lionel", "Henry", , "lionel@posit.co", role = c("cre", "aut")),
-    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = "aut",
+    person("Lionel", "Henry", , "lionel@posit.co", role = "aut"),
+    person("Thomas Lin", "Pedersen", , "thomas.pedersen@posit.co", role = c("cre", "aut"),
            comment = c(ORCID = "0000-0002-5147-4711")),
     person("Posit Software, PBC", role = c("cph", "fnd")),
     person("T Jake", "Luciani", , "jake@apache.org", role = "aut",
@@ -38,9 +38,10 @@
 RoxygenNote: 7.3.2
 SystemRequirements: libpng
 NeedsCompilation: yes
-Packaged: 2024-10-28 14:55:03 UTC; lionel
-Author: Lionel Henry [cre, aut],
-  Thomas Lin Pedersen [aut] (<https://orcid.org/0000-0002-5147-4711>),
+Packaged: 2026-02-12 12:25:53 UTC; lionel
+Author: Lionel Henry [aut],
+  Thomas Lin Pedersen [cre, aut] (ORCID:
+    <https://orcid.org/0000-0002-5147-4711>),
   Posit Software, PBC [cph, fnd],
   T Jake Luciani [aut] (svglite),
   Matthieu Decorde [aut] (svglite),
@@ -49,6 +50,6 @@
   David Gohel [ctb] (svglite: Line dashing code and raster code),
   Yixuan Qiu [ctb] (svglite: Improved styles; polypath implementation),
   Håkon Malmedal [ctb] (svglite: Opacity code)
-Maintainer: Lionel Henry <lionel@posit.co>
+Maintainer: Thomas Lin Pedersen <thomas.pedersen@posit.co>
 Repository: CRAN
-Date/Publication: 2024-10-31 09:10:02 UTC
+Date/Publication: 2026-02-13 08:20:02 UTC

=== debian/changelog ===
r-cran-vdiffr (1.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Update debian/copyright for MIT relicensing in 0.4.0
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 16:00:54 +0900

=== debian/control ===
Source: r-cran-vdiffr
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-diffobj,
 r-cran-glue,
 r-cran-htmltools,
 r-cran-lifecycle,
 r-cran-rlang,
 r-cran-testthat,
 r-cran-xml2,
 r-cran-cpp11,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vdiffr.git
Homepage: https://cran.r-project.org/package=vdiffr
Rules-Requires-Root: no

Package: r-cran-vdiffr
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libjs-jquery,
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R visual regression testing and graphical diffing
 An extension to the 'testthat' package that makes it easy
 to add graphical unit tests. It provides a Shiny application to
 manage the test cases.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-decor,
 r-cran-ggplot2 (>= 3.2.0),
 r-cran-roxygen2,
 r-cran-withr,
